From: Timo Röhling <roehling@debian.org>
Date: Thu, 12 Jan 2023 21:56:54 +0100
Subject: Fix tweepy api call

---
 twitterwatch/main.py | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/twitterwatch/main.py b/twitterwatch/main.py
index f7a481b..e811e6f 100644
--- a/twitterwatch/main.py
+++ b/twitterwatch/main.py
@@ -43,7 +43,8 @@ class Main(object):
         self.auth.secure = True
         self.auth.set_access_token(self.cfgvalues['access_token'],
                                     self.cfgvalues['access_token_secret'])
-        self.api = tweepy.API(self.auth, wait_on_rate_limit=True, wait_on_rate_limit_notify=True)
+        self.api = tweepy.API(self.auth, wait_on_rate_limit=True)
+        self.me = self.api.verify_credentials()
         self.main()
 
     def main(self):
@@ -59,7 +60,7 @@ class Main(object):
         # get the interval between two checks
         pause = datetime.timedelta(minutes=self.cfgvalues['check_interval'])
         if (currentdate - pause) > lastactiondate:
-            user = self.api.me().screen_name
+            user = self.me.screen_name
             # warn
             warning = 'Twitter stream of {} has stopped since {}'.format(user, lastactiondate.strftime("%d/%m/%Y - %H:%M:%S")) 
             emailwarn = EmailWarning(self.cfgvalues, warning, user)
